' ExtractSummaryInfo.VBS V1.00 (C) yoshioka.teruo@nifty.com 2006-06-12
' ExtractSummaryInfo.VBS extracts SummaryInformation streams.
' Usage: Start ExtractSummaryInfo.VBS files...

Option Explicit
Dim arg

If WScript.Arguments.Count=0 Then
  WScript.Echo "Usage: ExtractSummaryInfo.VBS files..."
  WScript.Quit
End If

For Each arg In WScript.Arguments
  Call ExtractSummaryInfo(arg)
Next
WScript.Quit

Sub ExtractSummaryInfo(File)
Dim Name

For Each Name In Array(_
"Zone.Identifier",_
Chr(5)&"SummaryInformation",_
Chr(5)&"DocumentSummaryInformation",_
Chr(5)&"SebiesnrMkudrfcoIaamtykdDa",_
"{4c8cc155-6c1e-11d1-8e41-00c04fb9386d}")
  Call CopyStream(File,Name)
Next
End Sub

Sub CopyStream(File,Name)
Const adTypeBinary=1
Const adSaveCreateOverWrite=2
Dim fso
Dim sFile
Dim dFile
Dim Src

Set fso=CreateObject("Scripting.FileSystemObject")

sFile=File&":"&Name
If Not fso.FileExists(sFile) Then Exit Sub
dFile=File&".."&Escape(Name)
Set Src=CreateObject("ADODB.Stream")
Src.Open
Src.Type=adTypeBinary
Src.LoadFromFile sFile
Src.SaveToFile dFile,adSaveCreateOverWrite
Src.Close
End Sub
