' ExtractSummaryInfo.VBS V1.01 (C) yoshioka.teruo@nifty.com 2006-07-12
' ExtractSummaryInfo.VBS extracts SummaryInformation streams.
' Usage: Start ExtractSummaryInfo.VBS files...

Option Explicit
Dim arg

If WScript.Arguments.Count=0 Then
  WScript.Echo "Usage: ExtractSummaryInfo.VBS files..."
  WScript.Quit
End If

For Each arg In WScript.Arguments
  Call ExtractSummaryInfo(arg)
Next
WScript.Quit

Sub ExtractSummaryInfo(File)
Dim Name

For Each Name In Array(_
"Zone.Identifier",_
Chr(5)&"SummaryInformation",_
Chr(5)&"DocumentSummaryInformation",_
Chr(5)&"SebiesnrMkudrfcoIaamtykdDa",_
"{4c8cc155-6c1e-11d1-8e41-00c04fb9386d}")
  Call CopyStream(File,Name)
Next
End Sub

Sub CopyStream(File,Name)
Dim fso
Dim sFile
Dim dFile
Dim fUNICODE
Dim BOM
Dim Src
Dim Dst

Set fso=CreateObject("Scripting.FileSystemObject")
sFile=File&":"&Name
If Not fso.FileExists(sFile) Then Exit Sub
dFile=File&".."&Escape(Name)
Set Src=fso.OpenTextFile(sFile)
If Not Src.AtEndOfStream Then BOM=Src.Read(2)
Src.Close
fUNICODE=BOM=Chr(&HFF)&Chr(&HFE) Or BOM=Chr(&HFE)&Chr(&HFF)
Set Src=fso.OpenTextFile(sFile,,,fUNICODE)
If BOM=Chr(&HFE)&Chr(&HFF) Then
  fso.CreateTextFile(dFile).Write BOM
  Set Dst=fso.OpenTextFile(dFile,8,,fUNICODE)
Else
  Set Dst=fso.CreateTextFile(dFile,,fUNICODE)
End If
Do While Not Src.AtEndOfStream
  Dst.Write Src.Read(4096)
Loop
Src.Close
Dst.Close
End Sub
